Skip to main content
The User Management API supports the following actions: The sections below describe each of these actions. Note: When you create or modify users, you must use the API role name. The following table maps the user roles to their API equivalents.
User Role NameAPI Role Name
Admincdata_admin
Standardcdata_standard
Job Creatorcdata_job_creator
Job Operatorcdata_support

Create a User

The following command creates a user in the CData Sync application:
POST http://MyDomain.com:8019/api.rsc/users
Body Parameters
NameDescription
UserSpecifies the user identifier.
ActiveSpecifies whether the user is active.
PasswordSpecifies the user password.
RolesSpecifies the user’s role.
FederationIdSpecifies the federation Id for SSO authentication.
Example Request
{ 
  "User": "APIUser",
  "Active": true,
  "Password": "APIUser",
  "Roles":  "cdata_admin"
}

Create Multiple Users

The following command creates multiple users in the Sync application:
POST http://MyDomain.com:8019/api.rsc/createUsers
Body Parameters
NameDescription
UserSpecifies the user identifier.
ActiveSpecifies whether the user is active.
PasswordSpecifies the user password.
RolesSpecifies the user’s role.
FederationIdSpecifies the federation Id for SSO authentication.
Example Request
{ 
  "User1": "APIUser1",
  "Password#1": "APIUser1$",
  "Roles#1": "cdata_admin",
  "FederationId#1": "User1Id",
  "User#2": "APIUser2", 
  "Password#2": "APIUser2$",
  "Roles#2": "cdata_admin",
  "FederationId#1": "User2Id"
}

List All Users

The following command returns a list of all users within the CData Sync application.
GET http://MyDomain.com:8019/api.rsc/users(Name)
Query Parameter
NameDescription
UserSpecifies the name of the user to retrieve.

Modify a User

The following command modifies an existing user. You can modify only the User, ExpiredIn, Active, and Roles fields.
PUT http://MyDomain.com:8019/api.rsc/users(Name)
Query Parameter
NameDescription
User (required)Specifies the name of the user to modify.
Body Parameters
NameDescription
UserSpecifies the user’s name.
PasswordSpecifies the user’s password.
ActiveSpecifies whether the user is active.
ExpiredInSpecifies the number of days until the Auth token expires.
RolesSpecifies the user’s role.
Example Request
{ 
  "User": "MyUser",
  "Password": "MyPassword",
  "Active": true,
  "ExpiredIn": 100,
  "Roles": "cdata_standard"
}